<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="stylesheets/bootstrap.min.css">
    <link rel="stylesheet" href="stylesheets/style.css">
</head>
<body>
    
    <h1>Jugend forscht!</h1>
    <h2>Ausgewählte Projekte 2017/18</h2>

    <div id="vue-app">
    <div class="nav">
        <button v-for="cat in categories" 
                v-on:click="filter(cat)" 
                class="nav-link nav-button">{{cat}}</button>
    </div>

        <table class="table table-hover">
<tr class="row">

<th class="col text">Schule</th>
<th class="col text">Projektname</th>
<th class="col text">Kategorie</th>
<th class="col text">Action</th>
</tr>

<tr class="row">
    <td class="col text"><input class="form-control" v-model="newSchool" type="text"> </td>
    <td class="col text"><input class="form-control" v-model="newProjectname" type="text"> </td>
    <td class="col text"><input class="form-control" v-model="newCategory" type="text"> </td>
    <td class="col text"> <button class="btn btn-outline-primary" v-on:click="addNewproject">Add</button> </td>
</tr>



<tr v-for="proj in filteredProjects" class="row">
    <td class="col text">{{proj.school}}</td>
    <td class="col text">{{proj.category}}</td>
    <td class="col text">{{proj.title}}</td>
    <td class="col text"><button v-on:click="delProj(proj.id)" class="btn btn-secondary">Entfernen</button></td>
</tr>
        </table>
        
    </div>

    <script src="javascripts/axios.min.js"></script>
    <script src="javascripts/vue.min.js"></script>
    <script src="javascripts/app.js"></script>
</body>
</html>